% ex1_euler.m
% Simulering av fjaersystem med eksplisitt Eulers metode.
clear                       % Sletter alle gamle variable.
global k m x0 mu g F        % Deklarerer variable som globale slik at disse
data;                       % kan benyttes inne i funksjonen dampfjaer.m

h=0.1;                      % Skrittlenden for Euler integrasjon.
h=dread('Skrittlende ',h);  % Med denne kan vi endre h interaktivt.
t=0:h:150;                  % Definerer antall diskrete punkter N.
N=length(t);                % Antall elementer i vektoren t.
y=zeros(N,2);               % Setter av plass til en matrise for lagring.

x(1,1)=x_0;                 % Initialverdier paa tilstandsvektoren.
x(2,1)=v_0;

for i=1:N                   % Selve simuleringen foregaar i en for loekke.
   y(i,:)=x';               % Lagrer tilstandsvektoren, x, ved tiden, t, i y
   fx=dampfjaer(t(i),x);    % Definerer hoeyresiden i differensialligningen.
   x=x+h*fx;                % Integerer med eksplisitt Eulers metode.
end   

plot(t,y), grid             % Plotter loesningen.
title('Simulering av fjaersuystem med Eulers metode')
xlabel('Kontinuerlig tid [sec]')