% ex1_lsim.m
% Example of simulating a linear continuous dynamic state space model
% with the Control System Toolbox function, lsim.
% 
data;                      % Define the constant parameters in the file, data.m

A=[0,1;-k/m,-mu/m];        % Matrices in the state space model.
B=[0;1/m];
D=eye(2); 
E=[0;0];

h=0.1;                     % Specified step length.
T0=0; Tf=150;              % Start time, T0, and final time, Tf.
t=T0:h:Tf;                 % Time series vector, i.e. defining the time instants.
N=length(t);               % Number of parameters in the time vector.

f=F*zeros(N,1);            
f=prbs1(N,75,300)+2;       % Make a force experiments on the system.
u=f-m*g*ones(N,1);         % Force input (influence) on the mass.
y=lsim(A,B,D,E,u,t,[0;0]); % Simulate model with lsim.
x=y(:,1)+x0;               % posisjon

plot(t,[x y(:,2)]), grid, xlabel('Continuous time [sec]')