function f=fcol3_a(t,x)
% Purpose: Define the right hand side, f(x), for a 3-stage distillation
% column model, dot(x)=f(x).

u=[2;2.5]; v=[1;0.5];

R=u(1); V=u(2); F=v(1); xf=v(2);
alpha=22.4;
M1=10; M2=5; M3=10;

L1=R+F-V; L2=R+F;
y=zeros(2,1);
for i=1:2
   y(i)=alpha*x(i)/(1+(alpha-1)*x(i));
end
  
f=zeros(3,1);
f(1)=(L2*x(2)-L1*x(1)-V*y(1))/M1;
f(2)=(R*x(3)+F*xf+V*y(1)-L2*x(2)-V*y(2))/M2;
f(3)=(V*y(2)-V*x(3))/M3;

