function A=jacobi(fx_fil,t,x)
% JACOBI
% Funksjon for aa beregne Jacobi-matrisen. A=df/dx for funksjonen 
% fx=f(t,x), dvs. en linearisering av fx=f(t,x) om verdiene t og x.
% Syntaks:
% A=jacobi('fx_fil',t,x)
% Inngangsparametre:
% fx_fil - fil for definering av fx-funksjonen.
%          Syntax: function fx=fx_fil(t,x)
% t      - tidspunkt
% x      - vektor av samme dimensjon som i M-filen fx_fil.m
% Utgangsparametre:
% A      - Jacobimatrisen

h=1e-5;
n=length(x);
xh=x;
fx=feval(fx_fil,t,x);
m=length(fx);
A=zeros(m,n);
for i=1:n
   xh(i)=x(i)+h;
   fxh=feval(fx_fil,t,xh);
   xh(i)=xh(i)-h;
   A(:,i)=(fxh-fx)/h;
end

